## golang-github-prometheus-sigv4 0.2.1

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include Makefile.common

.PHONY: test
test:: deps check_license unused common-test lint

## golang-github-prometheus-sigv4 0.1.2

=== debian/changelog ===
golang-github-prometheus-sigv4 (0.1.2-2) unstable; urgency=medium

  * Source-only re-upload for migration to testing

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 15 Feb 2025 01:58:15 +0000

golang-github-prometheus-sigv4 (0.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #1095840)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 12 Feb 2025 15:50:43 +0000

=== debian/control ===
Source: golang-github-prometheus-sigv4
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-prometheus-common-dev,
               golang-github-stretchr-testify-dev,
               golang-yaml.v2-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-sigv4
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-sigv4.git
Homepage: https://github.com/prometheus/sigv4
XS-Go-Import-Path: github.com/prometheus/sigv4

Package: golang-github-prometheus-sigv4-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-aws-aws-sdk-go-dev,
         golang-github-prometheus-common-dev,
         golang-github-stretchr-testify-dev,
         golang-yaml.v2-dev,
         ${misc:Depends}
Description: Go http.RoundTripper for signing requests using AWS SigV4 (library)
 sigv4 provides an http.RoundTripper that will sign requests using Amazon
 Web Service's (AWS) Signature Version 4, using credentials from the
 default AWS credential chain.

## golang-github-prometheus-sigv4 0.2.1

=== debian/changelog ===
golang-github-prometheus-sigv4 (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Update dependencies:
    - drop golang-github-aws-aws-sdk-go-dev
    - add golang-github-aws-aws-sdk-go-v2-dev
  * d/gitlab-ci.yml: refresh from dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 17 Aug 2025 15:51:46 +0000

=== debian/control ===
Source: golang-github-prometheus-sigv4
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-prometheus-common-dev,
               golang-github-stretchr-testify-dev,
               golang-yaml.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-sigv4
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-sigv4.git
Homepage: https://github.com/prometheus/sigv4
XS-Go-Import-Path: github.com/prometheus/sigv4

Package: golang-github-prometheus-sigv4-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-aws-aws-sdk-go-v2-dev,
         golang-github-prometheus-common-dev,
         golang-github-stretchr-testify-dev,
         golang-yaml.v2-dev,
         ${misc:Depends},
Description: Go http.RoundTripper for signing requests using AWS SigV4 (library)
 sigv4 provides an http.RoundTripper that will sign requests using Amazon
 Web Service's (AWS) Signature Version 4, using credentials from the
 default AWS credential chain.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus/sigv4/tags .*/v?(\d\S*)\.tar\.gz debian
